Package org.gradle.plugins.ide.eclipse.model

## Class BuildCommand

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.BuildCommand

- All Implemented Interfaces:
    `Serializable`

      public class BuildCommand
      extends Object
      implements Serializable

  A build command.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BuildCommand​(String name)` |
    `BuildCommand​(String name, Map<String,​String> arguments)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `Map<String,​String>` | `getArguments()` |
    `String` | `getName()` |
    `int` | `hashCode()` |
    `void` | `setArguments​(Map<String,​String> arguments)` |
    `void` | `setName​(String name)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildCommand

          public BuildCommand​(String name)

    - #### BuildCommand

          public BuildCommand​(String name,
                              Map<String,​String> arguments)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getArguments

          public Map<String,​String> getArguments()

    - #### setArguments

          public void setArguments​(Map<String,​String> arguments)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`